Subject: stack size (was Re[2]: serious bug with CYGNUS GCC b16)
From: [email-masked] (Sean McNeil)

4 Dec 1996 17:33:02 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
	([email-masked])
Original-Sender: [email-masked]

This explains a question I was getting ready to pose.  Apparantly, gcc
adds stack probing whenever allocating large (>4k) space on the stack.
I thought that this would extend the stack.  I guess it does assist in
doing so by increments of sizecommit, but will not extend past
sizereserve.  So, I need to set the sizereserve to something nice and
large.  As mentioned, this is done with the -stack option to ld and can
be made a default option when linking with gcc.

Thanks for the info.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".